summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Weber <xmw@gentoo.org>2016-06-11 01:24:05 +0200
committerMichael Weber <xmw@gentoo.org>2016-06-11 01:24:38 +0200
commit4e5615f9203089cfaf3c0f157943ac6ecd80695f (patch)
treef733f852aa9bac9bf2ddfcbde37b0ac32f7bcfa8
parentdev-haskell/threads: bump up to 0.5.1.4 (diff)
downloadgentoo-4e5615f9203089cfaf3c0f157943ac6ecd80695f.tar.gz
gentoo-4e5615f9203089cfaf3c0f157943ac6ecd80695f.tar.bz2
gentoo-4e5615f9203089cfaf3c0f157943ac6ecd80695f.zip
app-misc/qlcplus: Version bump.
Package-Manager: portage-2.2.28
-rw-r--r--app-misc/qlcplus/Manifest1
-rw-r--r--app-misc/qlcplus/qlcplus-4.10.4.ebuild61
2 files changed, 62 insertions, 0 deletions
diff --git a/app-misc/qlcplus/Manifest b/app-misc/qlcplus/Manifest
index 8bd45b6b0b5..e72bc594e5d 100644
--- a/app-misc/qlcplus/Manifest
+++ b/app-misc/qlcplus/Manifest
@@ -1,2 +1,3 @@
DIST qlcplus_4.10.2b.tar.gz 9711691 SHA256 1bcd2eef3e327714b3a83d0f0ff4695caa81bc1336f35abce29a047232b1a780 SHA512 d9716bcdd7289a0d5b94482ae3a7a4a047dc548c0a0b0b488c1f5af50280921a6769fe6479810862291d08508884a1403327be7722681a3a367ee3f77b895eab WHIRLPOOL 5b08afb4cac96926220140dba7283666829dc46e0fdcc517f28442c0b311febce81d0127adc3eaeb7bb3b7a570662558daa98a661acecd9b889e3669d8105ef8
DIST qlcplus_4.10.3.tar.gz 9786835 SHA256 eb2de10c2f7200522188f879aa6a98ac6eeedf50e0cc888fb418e9b736a630d7 SHA512 32d951e465fd9dccbc28b9798dc1416e2dfa7741225cc535288fac0e2e0724568fbaf2345946b907af6696c430f2b58ca7d8640254cdc34ff0d1a20ef28d5292 WHIRLPOOL 08580bc6b81a603b2a8c14b086eacf2e63982b0684040ce9f39c8cfff05597c9367866d3f933f5f17e774ce99621f4c9ae30a6d831e06ec7d7a3502dc62b95bc
+DIST qlcplus_4.10.4.tar.gz 9391198 SHA256 14b75aecee2c63bb3d36868c946b2e7f435827ae1f4ef24c898c52f996d91c4e SHA512 2e087a9a0ec9ed508914e60c6bc1fdb65103831b9a0af91377c8aa759e1217819db157e8f54fb2ccf5538563c4f749b24975b9879bc3453b6101808b709acb94 WHIRLPOOL aae84cebd31cd4926d508655c8f6a86fdd8bd5d6b6c5ae8b94aa026c7c40815354969e94291c3dcc184ef575a2c170e802126842fc79756342d40292ae3005cd
diff --git a/app-misc/qlcplus/qlcplus-4.10.4.ebuild b/app-misc/qlcplus/qlcplus-4.10.4.ebuild
new file mode 100644
index 00000000000..53690a723f0
--- /dev/null
+++ b/app-misc/qlcplus/qlcplus-4.10.4.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit qmake-utils qt4-r2 eutils virtualx
+
+DESCRIPTION="QLC+ - Q Light Controller Plus to control DMX interfaces"
+HOMEPAGE="http://www.qlcplus.org/"
+SRC_URI="http://www.${PN}.org/downloads/${PV}/${PN}_${PV}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="qt4 qt5"
+
+REQUIRED_USE="^^ ( qt4 qt5 )"
+
+RDEPEND="dev-libs/glib:2
+ virtual/libusb:0
+ virtual/libusb:1
+ media-libs/alsa-lib
+ media-libs/libmad
+ media-libs/libsndfile
+ sci-libs/fftw:3.0
+ virtual/udev
+ || ( dev-embedded/libftdi:1 dev-embedded/libftdi:0 )
+ qt4? ( dev-qt/qtcore:4
+ dev-qt/qtgui:4
+ dev-qt/qtscript:4
+ dev-qt/qttest:4 )
+ qt5? ( dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtmultimedia:5[widgets]
+ dev-qt/qtnetwork:5
+ dev-qt/qtscript:5
+ dev-qt/qttest:5
+ dev-qt/qtwidgets:5 )"
+
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/${P/b/}
+
+src_prepare() {
+ sed -e "s:/etc/udev/rules.d:${EROOT}lib/udev/rules.d:" -i \
+ plugins/hid/hid.pro \
+ plugins/udmx/src/src.pro \
+ plugins/dmxusb/src/src.pro \
+ plugins/spi/spi.pro \
+ plugins/peperoni/unix/unix.pro || die
+}
+
+src_configure() {
+ use qt5 && eqmake5
+ use qt4 && eqmake4
+}
+
+src_test() {
+ Xemake check
+}